> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create attribute

> create attribute



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json post /catalog/attributes
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /catalog/attributes:
    post:
      tags:
        - Catalog
      summary: Create attribute
      description: create attribute
      operationId: create-product-attribute
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAttribute'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      attribute:
                        $ref: '#/components/schemas/Attribute'
                    type: object
      security:
        - Authorization: []
components:
  schemas:
    CreateAttribute:
      title: CreateAttribute
      type: object
      required:
        - name
        - attribute_type
        - is_visible
        - is_filterable
      properties:
        name:
          type: string
        attribute_type:
          enum:
            - text
            - number
            - boolean
            - date
            - single-select
            - multi-select
            - color
        is_visible:
          type: boolean
        is_filterable:
          type: boolean
        active:
          type: boolean
          default: true
        supports_variant_creation:
          description: can be true for attribute types - single-select and color.
          type: boolean
      x-tags:
        - Catalog
    Attribute:
      title: Attribute
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
        attribute_type:
          enum:
            - text
            - number
            - boolean
            - date
            - single-select
            - multi-select
            - color
        is_visible:
          type: boolean
        is_filterable:
          type: boolean
        active:
          type: boolean
        supports_variant_creation:
          type: boolean
        product_count:
          type: integer
          format: int32
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        modified_at:
          type: string
          format: date-time
          readOnly: true
      x-tags:
        - Catalog
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````